#ifndef CLASSEDITOR_H
#define CLASSEDITOR_H

#include <QMainWindow>
#include "mysql.h"
#include "mymodel.h"

#include <QTreeView>


namespace Ui {
    class ClassEditor;
}

class ClassEditor : public QMainWindow {
    Q_OBJECT
public:
    ClassEditor(QWidget *parent = 0);
    ~ClassEditor();

protected:
    void changeEvent(QEvent *e);

private:
    Ui::ClassEditor *ui;
    MySql sql;
    SettingsDialog settdialog;
    TableField *field;
    SqlTable *table;

    QSqlTableModel* model;
    QSqlTableModel* modelForDescription;
    QTableView* tableForDescription;
    MyModel* mymodel;

    void addNewClass(); //   
    void addNewClass_new();

private slots:

    void on_pushButton_clicked();
    void on_tableView_clicked(const QModelIndex & index );



};

#endif // CLASSEDITOR_H
